AI Sync

Voice Campaign

Save Speed Dial

POSThttps://app.aisync.link/api/campaign/voice/{id}/speed-dial
Save Speed Dial
curl --request POST \
  --url https://app.aisync.link/api/campaign/voice/MQ==/speed-dial \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "settings": [
    {
      "id": "MQ==",
      "cpa": 1.5,
      "agent_count": 2
    },
    {
      "cpa": 2,
      "agent_count": 4
    }
  ]
}'
{
  "data": [],
  "message": "Speed-dial settings saved successfully.",
  "success": true,
  "new_settings": []
}

Save Speed Dial#

Updates existing speed-dial rows and creates rows that have no id.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Base64 campaign id

settingsobject[]bodyrequired

Each item needs agent_count (integer, min 1) and cpa (number). Include Base64 id to update an existing row

curl --request POST \
  --url https://app.aisync.link/api/campaign/voice/MQ==/speed-dial \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{
  "settings": [
    {
      "id": "MQ==",
      "agent_count": 2,
      "cpa": 1.5
    },
    {
      "agent_count": 4,
      "cpa": 2
    }
  ]
}'
messagestring

Speed-dial settings saved successfully.